// Variables

// Dropdown menu container and contents.
$dropdown-min-width:                12rem !default;
$dropdown-max-width:                18rem !default;
$dropdown-padding-y:                .5rem !default;
$dropdown-spacer:                   .125rem !default;
$dropdown-font-size:                $font-size-md !default;
$dropdown-color:                    $body-color !default;
$dropdown-bg:                       $white !default;
$dropdown-border-color:             $border-color !default;
$dropdown-border-radius:            $border-radius !default;
$dropdown-border-width:             $border-width !default;
$dropdown-inner-border-radius:      subtract($dropdown-border-radius, $dropdown-border-width) !default;
$dropdown-divider-bg:               $gray-300 !default;
$dropdown-divider-margin-y:         .25rem !default;
$dropdown-divider-margin-x:         1rem !default;
$dropdown-box-shadow:               0 .5rem 1rem rgba($black, .175) !default;

$dropdown-link-color:               $body-color !default;
$dropdown-link-hover-color:         $body-color !default;
$dropdown-link-hover-bg:            $gray-100 !default;

$dropdown-link-active-color:        $component-active-color !default;
$dropdown-link-active-bg:           $component-active-bg !default;

$dropdown-link-disabled-color:      $component-disabled !default;

$dropdown-item-padding-y:           .5rem !default;
$dropdown-item-padding-x:           1rem !default;

$dropdown-header-color:             $gray-400 !default;
$dropdown-header-font-weight:       $font-weight-medium !default;
$dropdown-header-padding-y:         $dropdown-item-padding-y;
$dropdown-header-padding-x:         .75rem !default;

$dropdown-text-padding-x:           .5rem !default;

$dropdown-caret-up-width:            .625rem !default;
$dropdown-caret-up-height:           $dropdown-caret-up-width !default;
$dropdown-caret-up-spacer:           $dropdown-spacer * 4;
